osmium::io::InputIteratorRange< TSource, TItem > Class Template Reference

`#include <input_iterator.hpp>`

## Public Member Functions

| InputIteratorRange (InputIterator< TSource, TItem > &&begin, InputIterator< TSource, TItem > &&end)
InputIterator< TSource, TItem > | begin () const noexcept
InputIterator< TSource, TItem > | end () const noexcept
const InputIterator< TSource, TItem > | cbegin () const noexcept
const InputIterator< TSource, TItem > | cend () const noexcept

## Private Attributes

InputIterator< TSource, TItem > | m_begin
InputIterator< TSource, TItem > | m_end

## Constructor & Destructor Documentation

template<typename TSource , typename TItem = osmium::memory::Item>

osmium::io::InputIteratorRange< TSource, TItem >::InputIteratorRange | ( | InputIterator< TSource, TItem > && | begin,
|  | InputIterator< TSource, TItem > && | end
| ) |  |

inline

## Member Function Documentation

template<typename TSource , typename TItem = osmium::memory::Item>

InputIterator<TSource, TItem> osmium::io::InputIteratorRange< TSource, TItem >::begin | ( |  | ) | const

inline noexcept

template<typename TSource , typename TItem = osmium::memory::Item>

const InputIterator<TSource, TItem> osmium::io::InputIteratorRange< TSource, TItem >::cbegin | ( |  | ) | const

inline noexcept

template<typename TSource , typename TItem = osmium::memory::Item>

const InputIterator<TSource, TItem> osmium::io::InputIteratorRange< TSource, TItem >::cend | ( |  | ) | const

inline noexcept

template<typename TSource , typename TItem = osmium::memory::Item>

InputIterator<TSource, TItem> osmium::io::InputIteratorRange< TSource, TItem >::end | ( |  | ) | const

inline noexcept

## Member Data Documentation

template<typename TSource , typename TItem = osmium::memory::Item>

InputIterator<TSource, TItem> osmium::io::InputIteratorRange< TSource, TItem >::m_begin

private

template<typename TSource , typename TItem = osmium::memory::Item>

InputIterator<TSource, TItem> osmium::io::InputIteratorRange< TSource, TItem >::m_end

private

The documentation for this class was generated from the following file:

- osmium/io/input_iterator.hpp